package net.mcreator.puzzle_code.procedures;

import net.minecraft.world.level.LevelAccessor;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.Entity;

public class MaxHPToNumberCodeBlockEntityWalksOnTheBlockProcedure {
	public static void execute(LevelAccessor world, double x, double y, double z, Entity entity) {
		if (entity == null)
			return;
		SetNBTNumberSystemProcedure.execute(world, x, y, z, entity instanceof LivingEntity _livEnt ? _livEnt.getMaxHealth() : -1, "numberCodeBlock");
	}
}
